<?php

require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/origendestino.entidad.php';
require_once 'model/origendestino.model.php';
require_once 'model/vehiculo.entidad.php';
require_once 'model/vehiculo.model.php';
require_once 'model/sistema.entidad.php';
require_once 'model/sistema.model.php';
require_once 'model/tareas.entidad.php';
require_once 'model/tareas.model.php';
require_once 'model/atencion.entidad.php';
require_once 'model/atencion.model.php';
require_once 'model/personal.entidad.php';
require_once 'model/personal.model.php';

require_once 'model/almacen.entidad.php';
require_once 'model/almacen.model.php';
require_once 'model/vendedor.entidad.php';
require_once 'model/vendedor.model.php';
require_once 'model/tipomovimiento.entidad.php';
require_once 'model/tipomovimiento.model.php';
require_once 'model/documento.entidad.php';
require_once 'model/documento.model.php';
require_once 'model/prodserv.entidad.php';
require_once 'model/prodserv.model.php';
require_once 'model/movimiento.entidad.php';
require_once 'model/movimiento.model.php';

require_once 'model/cotizacion.entidad.php';
require_once 'model/cotizacion.model.php';

require_once 'model/atencioninterna.entidad.php';

require_once 'model/movimientodetalle.entidad.php';
require_once 'model/movimientodetalle.model.php';

require_once 'model/inventario.entidad.php';
require_once 'model/inventario.model.php';

class AtencionController extends MetodosController {

     private $parametro_model;
     public $origendestino_model;
     private $vehiculo_model;
     private $sistema_model;
     private $tareas_model;
     private $atencion_model;
     private $personal_model;

     private $almacen_model;
     private $vendedor_model;
     private $tipomovimiento_model;
     private $documento_model;
     private $prodserv_model;
     private $movimiento_model;
     private $cotizacion_model;
     private $movimientodetalle_model;

     private $inventario_model;

     private $seguridad;


     public function __CONSTRUCT()
     {
          $this->parametro_model = new ParametroModel();
          $this->origendestino_model = new OrigendestinoModel();
          $this->vehiculo_model = new VehiculoModel();
          $this->sistema_model = new SistemaModel();
          $this->tareas_model = new TareasModel();
          $this->atencion_model = new AtencionModel();
          $this->personal_model = new PersonalModel();

          $this->almacen_model = new AlmacenModel();
          $this->vendedor_model = new VendedorModel();
          $this->tipomovimiento_model = new TipomovimientoModel();
          $this->documento_model = new DocumentoModel();
          $this->prodserv_model = new ProdservModel();
          $this->movimiento_model = new MovimientoModel();
          $this->cotizacion_model = new CotizacionModel();
          $this->movimientodetalle_model = new MovimientodetalleModel();

          $this->inventario_model = new InventarioModel();
 
          $this->seguridad = new Seguridad();
     }
     
     public function Index() {
          include 'model/helpers.php';
          $parametro = $this->parametro_model->ListarParametros();
          // $atenciones = $this->atencion_model->Listar();
          $id = isset($_POST['TipoMantenimiento_id']) ? $_POST['TipoMantenimiento_id'] : '0';
          $atenciones = $this->atencion_model->ListarxMantenimiento($id);
          

          require_once 'view/header.php';
          require_once 'view/webforms/wfaatencion.php';
          if (isset($_POST['Inventario_Id'])) {
              echo "<script type='text/javascript'>
                          $(document).ready(function (){
                              PromoverInventario({$_POST['Inventario_Id']})
                          });
                    </script>";
          }

          echo "<script type='text/javascript'>
                    $(document).ready(function (){
                         $('.taller').addClass('active');
                    });
               </script>";
          require_once 'view/footer.php';

     }

     public function FrmGuardarAtencion() {
          include 'model/helpers.php';
          $clientes = $this->origendestino_model->Listar();
          $sistemas = $this->sistema_model->Listar();
          $tareas = $this->tareas_model->Listar();
          $tecnicos = $this->personal_model->Listar();

          require_once 'view/webforms/wfaatenciona.php';

     }

     public function GuardarAtencion() {

          $es_promovido = isset($_POST['es_promovido']) ? $_POST['es_promovido'] : ''; //verificar si viene siendo promovido
          $id_inventario = isset($_POST['id_inventario']) ? $_POST['id_inventario'] : ''; //id del inventario

          $aten = new Atencion();
          if($_POST['OrdenTrabajo_Id'] != 0 ? $aten->__SET('OrdenTrabajo_Id', $_POST['OrdenTrabajo_Id']) : '');
          $aten->__SET('sOtNumOrden', $_POST['sOtNumOrden']);
          $aten->__SET('sOtCliente_Id', $_POST['sOtCliente_Id']);
          $aten->__SET('sOtVehiculo_Id', $_POST['sOtVehiculo_Id']);
          $aten->__SET('dOtFi', $_POST['dOtFi']);
          $aten->__SET('dOtHi', $_POST['dOtHi']);
          $aten->__SET('dOtFs', $_POST['dOtFs']);
          $aten->__SET('dOtHs', $_POST['dOtHs']);
          $aten->__SET('nOtTipoMant', $_POST['nOtTipoMant']);
          $aten->__SET('sOtMotMant', $_POST['sOtMotMant']);
          $aten->__SET('nOtTipoAtencion', $_POST['nOtTipoAtencion']);
          $aten->__SET('nOtEstado', 1);
          $aten->__SET('nOtEliminado', 0);
          $aten->__SET('nOtUsuario_Id', $_SESSION['usu_codigo']);
          $aten->__SET('nOtKilometraje', $_POST['nOtKilometraje'] ? $_POST['nOtKilometraje'] : 0);
          $aten->__SET('nOtHorometro', $_POST['nOtHorometro'] ? $_POST['nOtHorometro'] : 0);
          $aten->__SET('sOtRecomendaciones', $_POST['sOtRecomendaciones']);

          if ($_POST['OrdenTrabajo_Id'] != 0) {
               $this->atencion_model->Editar($aten);
               $result = $_POST['OrdenTrabajo_Id'];
          } else {
               $result = $this->atencion_model->Guardar($aten);

               if ($es_promovido == '1') {
                    # Actualizar el inventario
                    $inven = new Inventario();
                    $inven->__SET('Inventario_Id', $id_inventario);
                    $inven->__SET('OrdenTrabajo_Id', $result);
                    $this->inventario_model->ActualizarOrdenInventario($inven);
               }
          }

          $response = [
               'success' => true,
               'result' => $result,
               'html' => '<div class="alert alert-success" role="alert">
                              <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                              <strong>Los datos fueron Guardados exitosamente</strong>
                         </div>'
          ];

          echo json_encode($response);
     }

     public function GuardarDetalleAtencionInterna() {

          $idOrdenInterna = $_POST['OrdenTrabajoInterno_Id'];
          $ordenTrabajoId = $_POST['ordenTrabajoId'];
          $cantidad = $_POST['cantidad'];
          $tiempo = $_POST['tiempo'];
          $sistemaId = $_POST['sistemaId'];
          $tareaId = $_POST['tareaId'];
          $tecnicoId = $_POST['tecnicoId'];
          $fotografia = null;
          $descripcion = $_POST['descripcion'];
          $usuarioId = $_SESSION['usu_codigo'];

          if ($idOrdenInterna != 0 ) {
               $result = $this->atencion_model->EditarOrdenInterna($idOrdenInterna, $ordenTrabajoId, $cantidad, $sistemaId, $tiempo, $tareaId, $tecnicoId, $descripcion, $fotografia, $usuarioId);
          } else {
               $result = $this->atencion_model->GuardarOrdenInterna($ordenTrabajoId, $cantidad, $sistemaId, $tiempo, $tareaId, $tecnicoId, $descripcion, $fotografia, $usuarioId);
          }

          $response = [
               'success' => true,
               'result' => $result,
               'html' => '<div class="alert alert-success" role="alert">
                              <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                              <strong>Los datos fueron Guardados exitosamente</strong>
                         </div>'
          ];


          echo json_encode($response);
          
     }

     public function ListarAtencionesInternasTabla() {
          $ordenTrabajoId = $_GET['ordenTrabajoId'];
          $atenciones_internas = $this->atencion_model->ListarOrdenesInternas($ordenTrabajoId);

          $count_atenciones_internas = count($atenciones_internas);
          $html = '';
          foreach ($atenciones_internas as $item) {
               list($horas, $minutos) = explode(":", $item->sOtiTiempo);
               $total_minutos = ($horas * 60 + $minutos) * $item->nOtiCantidad;

               $nuevas_horas = floor($total_minutos / 60);
               $nuevos_minutos = $total_minutos % 60;

               $tiempo_total = "";
               if ($nuevas_horas > 0) {
                    $tiempo_total .= "$nuevas_horas horas ";
               }
               if ($nuevos_minutos > 0) {
                    $tiempo_total .= "$nuevos_minutos minutos";
               };

               $html .= '
                   <tr>
                       <td>' . $item->sTarNombre . '</td>
                       <td>' . $item->sPerApellidos . ' ' . $item->sPerNombres . '</td>
                       <td>' . $tiempo_total . '</td>
                       <td>
                           <a href="#" style="border-radius: 0.5rem;" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarAtencionInterna(' . $item->OrdenTrabajoInterno_Id . ');">
                               <i class="fa fa-edit"></i> 
                           </a>
                           <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#modal_confirmareliminar_atencion" onclick="AbrirModalEliminarOrdenInterna(' .$item->OrdenTrabajoInterno_Id . ')">
                              <i class="fa fa-times"></i> 
                           </a>
                       </td>
                   </tr>
               ';
           }

          echo json_encode([
               'tabla' => $html,
               'contador' => $count_atenciones_internas
          ]);
     }

     public function FrmEditarAtencion() {
          include 'model/helpers.php';
          $clientes = $this->origendestino_model->Listar();
          $sistemas = $this->sistema_model->Listar();
          $tareas = $this->tareas_model->Listar();
          $tecnicos = $this->personal_model->Listar();

          $OrdenAtencion = $this->atencion_model->Buscar($_POST['OrdenTrabajo_Id']);
          $atenciones_internas = $this->atencion_model->ListarOrdenesInternas($_POST['OrdenTrabajo_Id']);
          $atenciones_externas = $this->atencion_model->ListarTrabajosExternos(1,$_POST['OrdenTrabajo_Id']);
          $repuestos = $this->atencion_model->ListarTrabajosExternos(4,$_POST['OrdenTrabajo_Id']);
          $cotizaciones = $this->atencion_model->ListarCotizacionesOrdenes($_POST['OrdenTrabajo_Id']);
          $inventarios = $this->atencion_model->ListarInventariosOrdenes($_POST['OrdenTrabajo_Id']);

          //Contadores para reflejar en la vista
          $count_atenciones_internas = count($atenciones_internas);
          $count_atenciones_externas = count($atenciones_externas);
          $count_repuestos = count($repuestos);
          $count_cotizaciones = count($cotizaciones);
          $count_inventarios = count($inventarios);
          
          foreach ($OrdenAtencion as $r) {
               require_once 'view/webforms/wfaatenciona.php';
          }
     }


     public function PrevisualizarAtencion() {
          include 'model/helpers.php';
          $idOrdenTrabajo = isset($_POST['OrdenTrabajo_Id']) ? $_POST['OrdenTrabajo_Id'] : '';
          $ordenTrabajo = $this->atencion_model->Buscar($idOrdenTrabajo);
          $r = $ordenTrabajo[0];

          $OrdenesInternas = $this->atencion_model->ListarOrdenesInternas($idOrdenTrabajo);

          $ordenesExternas = $this->atencion_model->ListarTrabajosExternos(1, $idOrdenTrabajo);
          $repuestos = $this->atencion_model->ListarTrabajosExternos(4, $idOrdenTrabajo);
          $cotizaciones = $this->atencion_model->ListarCotizacionesOrdenes($idOrdenTrabajo);
          $inventarios = $this->atencion_model->ListarInventariosOrdenes($idOrdenTrabajo);
          
          echo '<table class="table table-hover table-bordered">';
               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Numero de Orden: </td>';
                    echo '<td>'. $r->__GET('sOtNumOrden') .'</td>';

               echo '</tr>';
               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Cliente: </td>';
                    echo '<td>'. $r->__GET('sODNombre') .'</td>';

               echo '</tr>';
               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Vehiculo: </td>';
                    echo '<td>'. $r->__GET('sVehModelo') .'</td>';

               echo '</tr>';
               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Fecha Inicio: </td>';
                    echo '<td>'. date('Y-m-d', strtotime($r->__GET('dOtFi'))) .'</td>';

               echo '</tr>';
               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Hora Inicio: </td>';
                    echo '<td>'. date('H:i:s', strtotime($r->__GET('dOtHi'))) .'</td>';

               echo '</tr>';
               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Fecha Salida: </td>';
                    echo '<td>'. date('Y-m-d', strtotime($r->__GET('dOtFs'))) .'</td>';

               echo '</tr>';
               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Hora Salida: </td>';
                    echo '<td>'. date('H:i:s', strtotime($r->__GET('dOtHs'))) .'</td>';
               echo '</tr>';

               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Tipo Mantenimiento: </td>';
                    echo '<td>'. getDescripcionById( $tiposMantenimientos, $r->__GET('nOtTipoMant')) .'</td>';
               echo '</tr>';

               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Motivo Mantenimiento: </td>';
                    echo '<td>'. $r->__GET('sOtMotMant') .'</td>';
               echo '</tr>';

               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Tipo Atención: </td>';
                    echo '<td>'. getDescripcionById($tiposAtencion, $r->__GET('nOtTipoAtencion')) .'</td>';
               echo '</tr>';

               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Kilometraje: </td>';
                    echo '<td>'. $r->__GET('nOtKilometraje') .'</td>';
               echo '</tr>';

               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Horómetro: </td>';
                    echo '<td>'. $r->__GET('nOtHorometro') .'</td>';
               echo '</tr>';

               echo '<tr>';
                    echo '<td style="font-weight: bold;"> Recomendaciones de siguiente servicio: </td>';
                    echo '<td>'. $r->__GET('sOtRecomendaciones') .'</td>';
               echo '</tr>';

               echo '<tr>';
                    echo '<td colspan="2" style="text-align: center; font-size: 2rem; font-weight: bold; color: #343a40; background-color: #f8f9fa; padding: 1rem; border-radius: 0.375rem; box-shadow: 0 2px 5px rgba(0,0,0,0.1);"> Trabajos Internos </td>';
               echo '</tr>';

               echo '<td colspan="2">';
                    echo '<table class="table table-hover table-bordered">';
                         echo '<thead>';
                              echo '<tr>';
                                   echo '<th> Cantidad </th>';
                                   echo '<th> Sistema </th>';
                                   echo '<th> Tarea </th>';
                                   echo '<th> Técnico </th>';
                                   echo '<th> Tiempo </th>';
                                   echo '<th> Descripcion </th>';
                              echo '</tr>';
                         echo '</thead>';
                         echo '<tbody>';
                              foreach ($OrdenesInternas as $item) {
                                   echo '<tr>';
                                        echo '<td>'. $item->nOtiCantidad .'</td>';
                                        echo '<td>'. $item->sSisNombre .'</td>';
                                        echo '<td>'. $item->sTarNombre .'</td>';
                                        echo '<td>'. $item->sPerNombres . ' '. $item->sPerApellidos .'</td>';
                                        echo '<td>'. $item->sOtiTiempo .'</td>';
                                        echo '<td>'. $item->sOtiDescripcion .'</td>';
                                   echo '</tr>';
                              }   
                         echo '</tbody>';
                    echo '</table>';
               echo '</td>';

               echo '<tr>';
                    echo '<td colspan="2" style="text-align: center; font-size: 2rem; font-weight: bold; color: #343a40; background-color: #f8f9fa; padding: 1rem; border-radius: 0.375rem; box-shadow: 0 2px 5px rgba(0,0,0,0.1);"> Trabajos Externos </td>';
               echo '</tr>';

               echo '<td colspan="2">';
                    echo '<table class="table table-hover table-bordered">';
                         echo '<thead>';
                              echo '<tr>';
                                   echo '<th> Tipo Movimiento </th>';
                                   echo '<th> Fecha </th>';
                                   echo '<th> Documento </th>';
                                   echo '<th> Cliente/Proveedor </th>';
                                   echo '<th> Total </th>';
                                   echo '<th> Estado </th>';
                              echo '</tr>';
                         echo '</thead>';
                         echo '<tbody>';
                              foreach ($ordenesExternas as $item) {
                                   $estado = '';
                                   if ($item->nMovEstado == '0') {
                                        $estado = '<span style="background-color: red; color: white; padding: 2px 5px; border-radius: 10px;">ANULADO</span>';
                                    } elseif ($item->nMovEstado == '1') {
                                        $estado = '<span style="background-color: orange; color: white; padding: 2px 5px; border-radius: 10px;">REGISTRADO</span>';
                                    } elseif ($item->nMovEstado == '2') {
                                        $estado = '<span style="background-color: green; color: white; padding: 2px 5px; border-radius: 10px;">PAGADO</span>';
                                    }

                                   echo '<tr>';
                                        echo '<td>'. $item->sTMovNombre .'</td>';
                                        echo '<td>'. $item->dMovFecha .'</td>';
                                        echo '<td>'. $item->Documento .'</td>';
                                        echo '<td>'. $item->sODNombreComercial.'</td>';
                                        echo '<td>'. $item->nMovTotal .'</td>';
                                        echo '<td>'. $estado .'</td>';
                                   echo '</tr>';
                              } 
                         echo '</tbody>';
                    echo '</table>';
               echo '</td>';

               echo '<tr>';
                    echo '<td colspan="2" style="text-align: center; font-size: 2rem; font-weight: bold; color: #343a40; background-color: #f8f9fa; padding: 1rem; border-radius: 0.375rem; box-shadow: 0 2px 5px rgba(0,0,0,0.1);"> Repuestos </td>';
               echo '</tr>';

               echo '<td colspan="2">';
                    echo '<table class="table table-hover table-bordered">';
                         echo '<thead>';
                              echo '<tr>';
                                   echo '<th> Tipo Movimiento </th>';
                                   echo '<th> Fecha </th>';
                                   echo '<th> Documento </th>';
                                   echo '<th> Cliente/Proveedor </th>';
                                   echo '<th> Total </th>';
                                   echo '<th> Estado </th>';
                              echo '</tr>';
                         echo '</thead>';
                         echo '<tbody>';
                              foreach ($repuestos as $item) {
                                   $estado = '';
                                   if ($item->nMovEstado == '0') {
                                        $estado = '<span style="background-color: red; color: white; padding: 2px 5px; border-radius: 10px;">ANULADO</span>';
                                    } elseif ($item->nMovEstado == '1') {
                                        $estado = '<span style="background-color: orange; color: white; padding: 2px 5px; border-radius: 10px;">REGISTRADO</span>';
                                    } elseif ($item->nMovEstado == '2') {
                                        $estado = '<span style="background-color: green; color: white; padding: 2px 5px; border-radius: 10px;">PAGADO</span>';
                                    }

                                   echo '<tr>';
                                        echo '<td>'. $item->sTMovNombre .'</td>';
                                        echo '<td>'. $item->dMovFecha .'</td>';
                                        echo '<td>'. $item->Documento .'</td>';
                                        echo '<td>'. $item->sODNombreComercial.'</td>';
                                        echo '<td>'. $item->nMovTotal .'</td>';
                                        echo '<td>'. $estado .'</td>';
                                   echo '</tr>';
                              } 
                         echo '</tbody>';
                    echo '</table>';
               echo '</td>';

               echo '<tr>';
                    echo '<td colspan="2" style="text-align: center; font-size: 2rem; font-weight: bold; color: #343a40; background-color: #f8f9fa; padding: 1rem; border-radius: 0.375rem; box-shadow: 0 2px 5px rgba(0,0,0,0.1);"> Cotizaciones </td>';
               echo '</tr>';

               echo '<td colspan="2">';
                    echo '<table class="table table-hover table-bordered">';
                         echo '<thead>';
                              echo '<tr>';
                                   echo '<th> Fecha </th>';
                                   echo '<th> Documento </th>';
                                   echo '<th> Cliente/Proveedor </th>';
                                   echo '<th> Total </th>';
                                   echo '<th> Estado </th>';
                              echo '</tr>';
                         echo '</thead>';
                         echo '<tbody>';
                              foreach ($cotizaciones as $item) {
                                   $estado = '';
                                   if ($item->nMovEstado == '0') {
                                        $estado = '<span style="background-color: red; color: white; padding: 2px 5px; border-radius: 10px;">ANULADO</span>';
                                    } elseif ($item->nMovEstado == '1') {
                                        $estado = '<span style="background-color: orange; color: white; padding: 2px 5px; border-radius: 10px;">REGISTRADO</span>';
                                    } elseif ($item->nMovEstado == '2') {
                                        $estado = '<span style="background-color: green; color: white; padding: 2px 5px; border-radius: 10px;">PAGADO</span>';
                                    }

                                   echo '<tr>';
                                        echo '<td>'. $item->dMovFecha .'</td>';
                                        echo '<td>'. $item->Documento .'</td>';
                                        echo '<td>'. $item->sODNombreComercial.'</td>';
                                        echo '<td>'. $item->nMovTotal .'</td>';
                                        echo '<td>'. $estado .'</td>';
                                   echo '</tr>';
                              } 
                         echo '</tbody>';
                    echo '</table>';
               echo '</td>';

               echo '<tr>';
                    echo '<td colspan="2" style="text-align: center; font-size: 2rem; font-weight: bold; color: #343a40; background-color: #f8f9fa; padding: 1rem; border-radius: 0.375rem; box-shadow: 0 2px 5px rgba(0,0,0,0.1);"> Inventarios </td>';
               echo '</tr>';

               echo '<td colspan="2">';
                    echo '<table class="table table-hover table-bordered">';
                         echo '<thead>';
                              echo '<tr>';
                                   echo '<th> Fecha de Ingreso </th>';
                                   echo '<th> Placa </th>';
                                   echo '<th> Fecha de Salida </th>';
                              echo '</tr>';
                         echo '</thead>';
                         echo '<tbody>';
                              foreach ($inventarios as $item) {
                                   echo '<tr>';
                                        echo '<td>'. $item->dInvFechaIngreso .'</td>';
                                        echo '<td>'. $item->sInvPlaca .'</td>';
                                        echo '<td>'. $item->dInvFechaSalida.'</td>';
                                   echo '</tr>';
                              } 
                         echo '</tbody>';
                    echo '</table>';
               echo '</td>';

          echo '</table>';

     }

     public function EliminarAtencion() {
          $ate = new Atencion();
          $ate->__SET('OrdenTrabajo_Id', $_POST['id_OrdenTrabajo']);
          $ate->__SET('nOtUsuario_Id', $_SESSION['usu_codigo']);
          $this->atencion_model->Eliminar($ate);
          echo '<script type="text/javascript">window.location="?c=Atencion&a=Index";</script>';
     }

     public function EliminarAtencionInterna() {
          $idatencioninterna = $_POST['ordenTrabajoId'];
          $this->atencion_model->OcultarAtencionInterna($idatencioninterna);
     }

     public function FrmEditarAtencionInterna() {
          $obtener = $this->atencion_model->BuscarOrdenInterna($_POST['OrdenInterna_Id']);
          foreach ($obtener as $r):
               echo "<script type='text/javascript'>
                       document.getElementById('OrdenTrabajoInterno_Id').value = '".$r->__GET('OrdenTrabajoInterno_Id')."';
                       document.getElementById('nOtiCantidad').value = '".$r->__GET('nOtiCantidad')."';
                       $('#nOtiSistema_Id option[value=".$r->__GET('nOtiSistema_Id')."]').attr('selected','selected');
                       $('#nOtiTarea_Id option[value=".$r->__GET('nOtiTarea_Id')."]').attr('selected','selected');
                       $('#nOtiPersonal_Id option[value=".$r->__GET('nOtiPersonal_Id')."]').attr('selected','selected');
                       document.getElementById('sOtiTiempo').value = '".$r->__GET('sOtiTiempo')."';
                       document.getElementById('sOtiDescripcion').value = '".$r->__GET('sOtiDescripcion')."';
                     </script>";          
           endforeach; 
     }
  
     public function ListarAtencionesExternasTabla() {   
            $ordenTrabajoId = $_GET['ordenTrabajoId'];
            $atenciones_externas = $this->atencion_model->ListarTrabajosExternos(1,$ordenTrabajoId);

            $estado = '';
            foreach ($atenciones_externas as $item) {
                 if ($item->__GET('nMovEstado') == '0') {
                      $estado = '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
                  } else if ($item->__GET('nMovEstado') == '1') {
                      $estado = '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
                  } else if ($item->__GET('nMovEstado') == '2') {
                      $estado = '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
                  }

                  $visible = $item->__GET('nMovEstado') == '0' ? 'disabled' : '';
  
                 echo '
                     <tr>
                         <td>' . $item->__GET('Documento') . '</td>
                         
                         <td>' . $item->__GET('nMovTotal') . '</td>
                         <td>' . $estado . '</td>
                         <td>
                              <a href="#" style="border-radius: 0.5rem;" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="FuncionesMovimiento.MostrarMovimiento('. $item->__GET('Movimiento_Id') .');">
                                   <i class="glyphicon glyphicon-eye-open"></i>
                              </a>
                              <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs '.$visible.'" data-toggle="modal" data-target="#modal-eliminar" data-codigo="'.$item->__GET('Movimiento_Id').'" data-dias="'.$item->__GET('cantidaddias').'" data-sunat="'.$item->__GET('nMovEstadoSunat').'">
                                   <i class="fa fa-times"></i>
                              </a>
                         </td>
                     </tr>
                 ';
             }
     }

     public function ListarRepuestosTabla() {
          $ordenTrabajoId = $_GET['ordenTrabajoId'];
          $repuestos = $this->atencion_model->ListarTrabajosExternos(4,$ordenTrabajoId); //se envia el movimiento 4
          $estado = '';
          foreach ($repuestos as $item) {
               if ($item->__GET('nMovEstado') == '0') {
                    $estado = '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
               } else if ($item->__GET('nMovEstado') == '1') {
                    $estado = '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
               } else if ($item->__GET('nMovEstado') == '2') {
                    $estado = '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
               }

               $visible = $item->__GET('nMovEstado') == '0' ? 'disabled' : '';

               echo '
                   <tr>
                       <td>' . $item->__GET('Documento') . '</td>

                       <td>' . $item->__GET('nMovTotal') . '</td>
                       <td>' . $estado . '</td>
                       <td>  
                         <a href="#" style="border-radius: 0.5rem;" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="FuncionesMovimiento.MostrarMovimiento('. $item->__GET('Movimiento_Id') .');">
                              <i class="glyphicon glyphicon-eye-open"></i>
                         </a>

                         <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs '.$visible.'" data-toggle="modal" data-target="#modal-eliminar" data-codigo="'.$item->__GET('Movimiento_Id').'" data-dias="'.$item->__GET('cantidaddias').'" data-sunat="'.$item->__GET('nMovEstadoSunat').'">
                              <i class="fa fa-times"></i>
                         </a>
                       </td>
                   </tr>
               ';
           }
     }


     public function ListarCotizaciones() {

          $ordenTrabajoId = $_GET['ordenTrabajoId'];
          $repuestos = $this->atencion_model->ListarCotizacionesOrdenes($ordenTrabajoId); //se envia el movimiento 4

          $estado = '';
          foreach ($repuestos as $item) {
               if ($item->__GET('nMovEstado') == '0') {
                    $estado = '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
               } else if ($item->__GET('nMovEstado') == '1') {
                    $estado = '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
               } else if ($item->__GET('nMovEstado') == '2') {
                    $estado = '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
               }

               $visible = $item->__GET('nMovEstado') == '0' ? 'disabled' : '';

               echo '
                   <tr>
                       <td>' . $item->__GET('Documento') . '</td>
                       <td>' . $item->__GET('nMovTotal') . '</td>
                       <td>' . $estado . '</td>
                       <td>  
                         <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver1" style="border-radius: 0.5rem;" onclick="FuncionesCotizacion.MostrarMovimiento(' .$item->__GET('Movimiento_Id').');">
                              <i class="glyphicon glyphicon-eye-open"></i>
                         </a>
                                                                
                         <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs '.$visible.'" data-toggle="modal" data-target="#modal-eliminar1" data-codigo="'. $item->__GET('Movimiento_Id').'">
                              <i class="fa fa-times"></i>
                         </a>
                       </td>
                   </tr>
               ';
           }
     }

     public function ListarInventariosTabla() {
          $ordenTrabajoId = $_GET['ordenTrabajoId'];
          $inventarios = $this->atencion_model->ListarInventariosOrdenes($ordenTrabajoId);

          $count_inventarios = count($inventarios);
          $html = '';

          foreach ($inventarios as $item) {
               $html .= '
                   <tr>
                       <td>' . $item->dInvFechaIngreso . '</td>
                       <td>' . $item->sInvPlaca .'</td>
                       <td>' . $item->dInvFechaSalida . '</td>
                       <td>
                           <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#EliminarInventario" data-codigo="'.$item->Inventario_Id .'">
                              <i class="fa fa-times"></i> 
                           </a>
                       </td>
                   </tr>
               ';
           }

          echo json_encode([
               'tabla' => $html,
               'contador' => $count_inventarios
          ]);
     }

     public function NumeroDocumentoOT() {
          $documento = $this->atencion_model->ObtenerNumeroOtxDoc(!empty($_POST['Documento_Id']) ? $_POST['Documento_Id'] : -1);
          if (count($documento) > 0) {
               echo $documento->sDocSiguiente;
           } else {
               echo 0;
           }
     }

     public function ListarxClienteVehiculo() {
          $Cliente_Id = isset($_POST['Cliente_Id']) ? $_POST['Cliente_Id'] : null;
          if ($Cliente_Id) {
               $vehiculos = $this->vehiculo_model->ListarxCliente($Cliente_Id);
               foreach ($vehiculos as $veh) {
                    $vehiculo = $veh->sVehTipoVeh . ' ' . $veh->sVehModelo;
                    echo '<option value="' . $veh->vehiculo_Id . '">' . $vehiculo . '</option>';
               }
          } else {
               echo '<option value="">Seleccione un vehículo</option>';
          }
     }
  
     public function ListarTareasXSistema() {
          $Sistema_Id = isset($_POST['Sistema_Id']) ? $_POST['Sistema_Id'] : null;
          if ($Sistema_Id) {
               $tareas = $this->tareas_model->ListarTareasXSistema($Sistema_Id);
               foreach ($tareas as $tar) {
                    echo '<option value="' . $tar->Tareas_Id . '">' . $tar->sTarNombre . '</option>';
               }
          } else {
               echo '<option value="">Seleccione una Tarea</option>';
          }
     }

     public function PDFAtencion() {
          include 'model/helpers.php';

          //Cabecera de la orden de trabajo (1 sola)
          $ordenTrabajo = $this->atencion_model->Buscar($_REQUEST['OrdenTrabajo_Id']);

          //Listar ordenes internas (varios)
          $ordenesInternas = $this->atencion_model->ListarOrdenesInternas($ordenTrabajo[0]->__GET('OrdenTrabajo_Id'));

          //Listar trabajos Externos (varios) -> solo compra
          $trabajosExterno = $this->atencion_model->ListarTrabajosExternos(1, $ordenTrabajo[0]->__GET('OrdenTrabajo_Id'));
          $detalle_trabajoExternos = [];
          if (!empty($trabajosExterno)) {
               foreach ($trabajosExterno as $trabajo) {
                    $detalle = $this->movimientodetalle_model->getByMovimientoId($trabajo->__GET('Movimiento_Id'));
                    $detalle_trabajoExternos[] = $detalle;
               }
          }
          
          //Listar Repuestos -> solo salida
          $repuestos = $this->atencion_model->ListarTrabajosExternos(4, $ordenTrabajo[0]->__GET('OrdenTrabajo_Id'));
          $detalle_repuestos = [];
          if (!empty($repuestos)) {
               foreach ($repuestos as $repuesto) {
                    $detalle = $this->movimientodetalle_model->getByMovimientoId($repuesto->__GET('Movimiento_Id'));
                    $detalle_repuestos[] = $detalle;
               }
          }
    
          include 'view/webforms/PDF/atencionImprimir.php';
     }

     public function PromoverInventario() {
          include 'model/helpers.php';
          $parametro = $this->parametro_model->ListarParametros();
          
          $clientes = $this->origendestino_model->Listar();
          $sistemas = $this->sistema_model->Listar();
          $tareas = $this->tareas_model->Listar();
          $tecnicos = $this->personal_model->Listar();

          $inventario = $this->inventario_model->Buscar($_POST['Inventario_Id'])[0];

          $is_promueve = 1;

          $id_inventario = $inventario->__GET('Inventario_Id') ? $inventario->__GET('Inventario_Id') : '';

          $aten = new Atencion();
          $aten->__SET('OrdenTrabajo_Id', '0');
          $aten->__SET('sOtNumOrden', $inventario->__GET('sOtNumOrden') ? $inventario->__GET('sOtNumOrden') : '');
          $aten->__SET('sOtCliente_Id', $inventario->__GET('nInvCliente_Id'));
          $aten->__SET('sOtVehiculo_Id', $inventario->__GET('nInvVehiculo_Id'));
          $aten->__SET('dOtFi', $inventario->__GET('dInvFechaIngreso'));
          $aten->__SET('dOtHi', $inventario->__GET('dInvHoraIngreso'));
          $aten->__SET('dOtFs', $inventario->__GET('dInvFechaSalida'));
          $aten->__SET('dOtHs', $inventario->__GET('dInvHoraSalida'));
          $aten->__SET('nOtKilometraje', $inventario->__GET('nInvKilometraje'));
          $aten->__SET('nOtHorometro', $inventario->__GET('nInvHorometro'));

          $r = $aten;

          require_once 'view/webforms/wfaatenciona.php';
     }
  
}


?>