<?php

require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/tareas.entidad.php';
require_once 'model/tareas.model.php';
require_once 'model/sistema.entidad.php';
require_once 'model/sistema.model.php';

class TareasController {

     private $parametro_model;
     private $tarea_model;
     private $sistema_model;
     private $seguridad;

     public function __CONSTRUCT(){

          $this->parametro_model = new ParametroModel();
          $this->tarea_model = new TareasModel();
          $this->sistema_model = new SistemaModel();
          $this->seguridad = new Seguridad();

     }
     
     public function Index() {
          
          include 'model/helpers.php';

          $parametro = $this->parametro_model->ListarParametros();
          $tareas = $this->tarea_model->Listar();
          $sistemas = $this->sistema_model->Listar();

          require_once 'view/header.php';
          require_once 'view/webforms/wfatareas.php';

          echo "<script type='text/javascript'>
                    $(document).ready(function (){
                         $('.taller').addClass('active');
                    });
               </script>";
          require_once 'view/footer.php';

     }

     public function GuardarTareas() {
          $tar = new Tareas();
          if($_POST['Tareas_Id'] != 0 ? $tar->__SET('Tareas_Id', $_POST['Tareas_Id']) : '');
          $tar->__SET('sTarCodigo', $_POST['sTarCodigo']);
          $tar->__SET('sTarNombre', $_POST['sTarNombre']);
          $tar->__SET('nTarTipoFlota', $_POST['nTarTipoFlota']);
          $tar->__SET('sTarSistema_Id', $_POST['sTarSistema_Id']);
          $tar->__SET('sTarTiempoStandard', $_POST['sTarTiempoStandard']);
          $tar->__SET('nTarValorVenta', $_POST['nTarValorVenta']);
          $tar->__SET('nTarEstado', 1);
          $tar->__SET('nTarEliminado', 0);
          $tar->__SET('nTarUsuario_Id', $_SESSION['usu_codigo']);

          if($_POST['Tareas_Id'] != 0 ? $this->tarea_model->Editar($tar) : $this->tarea_model->guardar($tar));

     }

     public function FrmTareas(){
          include 'model/helpers.php';
          $tareas = $this->tarea_model->Listar();
          $sistemas = $this->sistema_model->Listar();
          require_once 'view/webforms/wfatareasa.php';
      }

     public function MostrarTareas(){
          include 'model/helpers.php';
          $datos = $this->tarea_model->Buscar($_POST['Tareas_Id']);
          foreach ($datos as $r){
              $tipoFlota = getDescripcionById($flotas, $r->__GET('nTarTipoFlota'));
              $valor_venta = $r->__GET('nTarValorVenta') ? $r->__GET('nTarValorVenta') : '-';

              echo " <tbody>
                         <tr>
                              <th>
                              <input type='hidden' name='Tareas_IdPrin' id='Tareas_IdPrin' value='".$r->__GET('Tareas_Id')."'> 
                              Codigo
                              </th>
                              <td>".$r->__GET('sTarCodigo')."</td>
                         </tr>
                         <tr>
                              <th>Nombre de tarea</th>
                              <td>".$r->__GET('sTarNombre')."</td>
                         </tr>  
                         <tr>
                              <th>Tipo de flota</th>
                              <td>".$tipoFlota."</td>
                         </tr>  
                         <tr>
                              <th>Sistema</th>
                              <td>".$r->__GET('sSisNombre')."</td>
                         </tr>  
                            
                         <tr>
                              <th>Tiempo Standard</th>
                              <td>".$r->__GET('sTarTiempoStandard')." minutos </td>
                         </tr>  
                         <tr>
                              <th>Valor Venta</th>
                              <td>".$valor_venta."</td>
                         </tr>  

                         <tr>
                              <th>Estado</th>
                              <td>".($r->__GET('nTarEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                         </tr>
                    </tbody>
                    ";
          }
      }

      public function FrmEditarTareas(){
          $obtener = $this->tarea_model->Buscar($_POST['Tareas_Id']);
          foreach ($obtener as $r):
              echo "<script type='text/javascript'>
                      document.getElementById('Tareas_Id').value = '".$r->__GET('Tareas_Id')."';
                      document.getElementById('sTarCodigo').value = '".$r->__GET('sTarCodigo')."';
                      document.getElementById('sTarNombre').value = '".$r->__GET('sTarNombre')."';
                      $('#nTarTipoFlota option[value=".$r->__GET('nTarTipoFlota')."]').attr('selected','selected');
                      $('#sTarSistema_Id option[value=".$r->__GET('sTarSistema_Id')."]').attr('selected','selected');
                      document.getElementById('sTarTiempoStandard').value = '".$r->__GET('sTarTiempoStandard')."';
                      document.getElementById('nTarValorVenta').value = '".$r->__GET('nTarValorVenta')."';
                    </script>";          
          endforeach;       
      }

      public function EliminarTarea(){
          $tar = new Tareas();
          $tar->__SET('Tareas_Id', $_POST['idTarea']);
          $this->tarea_model->Eliminar($tar);
          echo '<script type="text/javascript">window.location="?c=Tareas&a=Index";</script>';
      }


}


?>