<?php
class SistemaModel {
    
    private $pdo;

    public function __CONSTRUCT(){
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Listar(){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL sis_listarC(0)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $sis = new Sistema();
                $sis->__SET('Sistema_id', $r->Sistema_id);
                $sis->__SET('sSiscodigo', $r->sSiscodigo);
                $sis->__SET('sSisNombre', $r->sSisNombre);
                $result[] = $sis;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Buscar($Almacen_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL sis_listarC($Almacen_Id)");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $sis = new Sistema();
                $sis->__SET('Sistema_id', $r->Sistema_id);
                $sis->__SET('sSiscodigo', $r->sSiscodigo);
                $sis->__SET('sSisNombre', $r->sSisNombre);
                $sis->__SET('sSisEliminado', $r->sSisEliminado);
                $sis->__SET('dSisFecha_Act', $r->dSisFecha_Act);
                $sis->__SET('nSisUsuario_Id', $r->nSisUsuario_Id);
                $sis->__SET('nSisEstado', $r->nSisEstado);
                $result[] = $sis;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(Sistema $data){
        try {
            $stm = $this->pdo->prepare("CALL sis_crear(?,?,?,?,?,@SistemaId)");
            $stm->execute(array(
                                $data->__get('sSiscodigo'),
                                $data->__get('sSisNombre'),
                                $data->__get('sSisEliminado'),
                                $data->__get('nSisUsuario_Id'),
                                $data->__get('nSisEstado')
                         ));
            echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
                  </div>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Editar(Sistema $data){
        try {
            $stm = $this->pdo->prepare("CALL sis_editar(?,?,?,?,?,?)");
            $stm->execute(array(
                                 $data->__get('Sistema_id'),
                                 $data->__get('sSiscodigo'),
                                 $data->__get('sSisNombre'),
                                 $data->__get('sSisEliminado'),
                                 $data->__get('nSisUsuario_Id'),
                                 $data->__get('nSisEstado')                                 
                                ));

            echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información editada</strong>, los datos fueron editados correctamente.
                  </div>';
            echo '<script type="text/javascript">window.location="?c=Sistema&a=Index";</script>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Eliminar(Sistema $data){
        try {
            $stm = $this->pdo->prepare("CALL sis_ocultar(?,?)");
            $stm->execute(
                    array(
                            $data->__get('Sistema_id'), 
                            $data->__get('nSisUsuario_Id')
                        ));

            echo "Se elimino correctamente";
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
}
