<!DOCTYPE html>
<html lang="es">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Inventario</title>

	<style type="text/css">
		@media print {

			* {
				-webkit-print-color-adjust: exact !important; /* Para navegadores basados en WebKit */
				color-adjust: exact !important; /* Para otros navegadores */
				print-color-adjust: exact !important;
			}

			@page {
				size: portrait;
				margin-left: 15px;
				margin-top: 15px;
				top: 5px;
				left: 5px;
			}
		}

		body {
			font-size: 14px;
			font-family: Helvetica;
			padding: 8px;
		}

		.tabla-cabecera {
			width: 100%;
			border-collapse: collapse;
			text-align: center;
		}

		.tabla-cabecera th, td {
			border: 1px solid #102251;
			padding: 10px;
			vertical-align: middle;
		}

		.logo {
			width: 110px;
			height: auto;
		}

		.tabla-orden {
			width: 100%;
			border-collapse: collapse;
			text-align: left;
		}

		.tabla-orden th, td {
			border: 1px solid #102251;
			padding: 10px;
			vertical-align: middle;
		}
		.th-body {
			width: 25%;
		}

		.th-label {
			background-color: #EBEBEB80;
			color: #102251;
			font-size: 12px;
		}

		.th-valor {
			color: black;
			font: 100;
			font-weight: 500;
			font-size: 12px;
		}

		.th-body-cabecera {
			background-color: #EBEBEB80;
			color: #102251;
			font-size: 15px;
			text-align: center;
		}

		.tbody-interno {
			text-align: center;
		}

		.tbody-interno-valor {
			color: black;
			font: 100;
			font-weight: 500;
			font-size: 12px;
		}

		.imagenes-foto {
			width: 25rem;
		}

		.th-body input[type="checkbox"] {
			appearance: none; /* Oculta el checkbox predeterminado */
			width: 16px;
			height: 16px;
			border: 2px solid #3f7493;
			border-radius: 3px;
			display: inline-block;
			position: relative;
			background-color: white;
		}

		.th-body input[type="checkbox"]:checked {
			background-color: #3f7493 !important;
			border-color: #3f7493 !important;
		}

		.th-body input[type="checkbox"]::after {
			content: "✔"; 
			color: white;
			font-size: 12px;
			font-weight: bold;
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%, -50%);
			display: none;
		}

		.th-body input[type="checkbox"]:checked::after {
			display: block;
		}

		.fuel-container {
			display: flex;
			width: 15rem;
			align-items: center;
			justify-items: center;
			gap: 10px;
		}

		.fuel-meter {
			display: flex;
			flex-direction: column;
			align-items: flex-start;
			gap: 3px;
		}

		.fuel-bar {
			width: 80px;
			height: 15px;
			background-color: #ddd;
			border-radius: 3px;
		}

		.fuel-bar.active {
			background-color: black !important;
		}

		.fuel-bar.low {
			background-color: red !important;
		}

		.fuel-icon {
			width: 50px;
			height: 50px;
		}

		.fuel-labels {
			display: flex;
			flex-direction: column;
			justify-content: space-between;
			height: 100%;
			font-weight: bold;
		}

		.fuel-labels span {
			font-size: 14px;
		}

		.fuel-labels .empty {
			color: red;
		}

		.img-tanque {
			width: 5rem;
		}

		.imagenes-foto-paint {
			width: 18rem;
		}

	</style>
</head>

<?php 
	$total_importe = 0;
?>

<body>
	<div>
		<table class="tabla-cabecera">
			<thead>
				<tr>
					<th style="width: 33%;"><img class="logo" src="view/librerias/dist/img/logo3.png" alt="Imagen de logo"></th>
					<th style="width: 66%; color: #102251; font-weight: bold;">INVENTARIO</th>
					<!-- <th style="width: 33%;"> <span style="color: #102251">N° OT :</span> <span style="color: black;"> <?= $r->__GET('sOtNumOrden') ? $r->__GET('sOtNumOrden') : '-' ?> </span></th> -->
				</tr>
			</thead>
		</table>
	</div>
	<div style="margin-top: 10px;">
		<table class="tabla-orden">
			<thead>
				<tr>
					<th class="th-body-cabecera" colspan="4">DATOS DE INGRESO</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th class="th-body th-label">CLIENTE</th>
					<th class="th-body th-valor"><?= $this->NombreClienteProveedor($r->__GET('nInvCliente_Id')) ?></th>

					<th class="th-body th-label">PLACA</th>
					<th class="th-body th-valor"> <?= $r->__GET('sInvPlaca') ?></th>
				</tr>
				<tr>
					<th class="th-body th-label">FECHA DE INGRESO</th>
					<th class="th-body th-valor"> <?= date('Y-m-d', strtotime($r->__GET('dInvFechaIngreso'))) ?></th>

					<th class="th-body th-label">HORA DE INGRESO</th>
					<th class="th-body th-valor"> <?= date('H:i:s', strtotime($r->__GET('dInvHoraIngreso'))) ?></th>
				</tr>
				<tr>
					<th class="th-body th-label">FOTO DE INGRESO</th>
					<th class="th-body th-valor" style="text-align: center;" colspan="3"> 
						<?php if ($r->__GET('sInvFotoIngreso')) { ?>
							<img class="imagenes-foto" src="<?= $r->__GET('sInvFotoIngreso'); ?>" alt="Foto ingreso">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
				</tr>
				<tr>
					<th class="th-body th-label">KILOMETRAJE</th>
					<th class="th-body th-valor" style="text-align: center;"><?= $r->__GET('nInvKilometraje') ?></th>

					<th class="th-body th-label">HOROMETRO</th>
					<th class="th-body th-valor" style="text-align: center;"><?= $r->__GET('nInvHorometro') ?></th>
				</tr>
			</tbody>
		</table>
	</div>
	<div style="margin-top: 10px;">
		<table class="tabla-orden">
			<thead>
				<tr>
					<th class="th-body-cabecera" colspan="4">INVENTARIO</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th class="th-body th-label" style="text-align: center; width: 45%;"></th>
					<th class="th-body th-label" style="text-align: center; width: 15%;">INGRESO</th>
					<th class="th-body th-label" style="text-align: center; width: 15%;">SALIDA</th>
					<th class="th-body th-label" style="text-align: center; width: 25%;">OBSERVACIÓN</th>
				</tr>
				
				<?php foreach ($items_inventario as $item) { ?>
					<tr>
						<th class="th-body th-valor" style="width: 45%;"> <?= $item->__GET('sInvIteNombre') ?> </th>
						<th class="th-body th-valor" style="text-align: center; width: 15%;"> <input disabled type="checkbox" <?= $r->__GET($item->__GET('sInvIteCamIng')) == 1 ? 'checked' : '' ?>></th>
						<th class="th-body th-valor" style="text-align: center; width: 15%;"> <input disabled type="checkbox" <?= $r->__GET($item->__GET('sInvIteCamSal')) == 1 ? 'checked' : '' ?>></th>
						<th class="th-body th-valor" style="width: 25%;"> <?= $r->__GET($item->__GET('sInvIteCamObs')) ? $r->__GET($item->__GET('sInvIteCamObs')) : '-' ?></th>
					</tr>
				<?php } ?>
	
			</tbody>
		</table>
	</div>
	<div style="margin-top: 10px;">
		<table class="tabla-orden">
			<thead>
				<tr>
					<th class="th-body-cabecera" colspan="2">FOTOS</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th style="text-align: center;">
						<?php if ($r->__GET('sInvFoto1')) { ?>
							<img class="imagenes-foto" src="<?= $r->__GET('sInvFoto1'); ?>" alt="Foto 1">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
					<th style="text-align: center;">
						<?php if ($r->__GET('sInvFoto2')) { ?>
							<img class="imagenes-foto" src="<?= $r->__GET('sInvFoto2'); ?>" alt="Foto 2">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
				</tr>
			</tbody>
		</table>
	</div>
	<div style="margin-top: 10px;">
		<table class="tabla-orden">
			<thead>
				<tr>
					<th class="th-body-cabecera" colspan="4">DETALLES DEL INGRESO Y SALIDA</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th class="th-body th-label" colspan="2" style="text-align: center;">INGRESO (DAÑADO)</th>
					<th class="th-body th-label" colspan="2" style="text-align: center;">SALIDA (OBSERVADO)</th>	
				</tr>
				<tr>
					<th style="text-align: center;" colspan="2">
						<?php if ($r->__GET('sInvVehiculoIng')) { ?>
							<img class="imagenes-foto-paint" src="<?= $r->__GET('sInvVehiculoIng'); ?>" alt="Foto ingreso (dañado)">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
					<th style="text-align: center;" colspan="2">
						<?php if ($r->__GET('sInvVehiculoSal')) { ?>
							<img class="imagenes-foto-paint" src="<?= $r->__GET('sInvVehiculoSal'); ?>" alt="Foto salida (observado)">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
				</tr>
				<tr>
					<th class="th-body th-label" colspan="2" style="text-align: center;">INGRESO TANQUE DE COMBUSTIBLE (R)</th>
					<th class="th-body th-label" colspan="2" style="text-align: center;">SALIDA TANQUE DE COMBUSTIBLE (R)</th>
				</tr>
				<tr>
					<th style="text-align: center;" colspan="2"> 
						<div class="fuel-container">
							<img src="view/librerias/dist/img/tanque.png" alt="Combustible" class="img-tanque">
							<div class="fuel-meter" id="fuelMeterIng">
								<span style="color: #000; font-weight: bold;">F</span>
								<div class="fuel-bar" style="width: 15rem;" data-value="1"></div>
								<div class="fuel-bar" style="width: 13rem;" data-value="0.875"></div>
								<div class="fuel-bar" style="width: 11rem;" data-value="0.75"></div>
								<div class="fuel-bar" style="width: 9rem;" data-value="0.625"></div>
								<div class="fuel-bar" style="width: 7rem;" data-value="0.5"></div>
								<div class="fuel-bar" style="width: 5rem;" data-value="0.375"></div>
								<div class="fuel-bar" style="width: 3rem;" data-value="0.25"></div>
								<div class="fuel-bar" style="width: 1rem;" data-value="0.125"></div>
								<span class="empty" style="color: red; font-weight: bold;">E</span>
							</div>
							<input type="hidden" name="sInvTanqueCombustibleIng" id="sInvTanqueCombustibleIng" value="<?php echo isset($r) ? $r->__GET('sInvTanqueCombustibleIng') : '0'; ?>">
						</div>
					</th>
					<th style="text-align: center;" colspan="2"> 
						<div class="fuel-container">
							<img src="view/librerias/dist/img/tanque.png" alt="Combustible" class="img-tanque">
							<div class="fuel-meter" id="fuelMeterSal">
								<span style="color: #000; font-weight: bold;">F</span>
								<div class="fuel-bar" style="width: 15rem;" data-value="1"></div>
								<div class="fuel-bar" style="width: 13rem;" data-value="0.875"></div>
								<div class="fuel-bar" style="width: 11rem;" data-value="0.75"></div>
								<div class="fuel-bar" style="width: 9rem;" data-value="0.625"></div>
								<div class="fuel-bar" style="width: 7rem;" data-value="0.5"></div>
								<div class="fuel-bar" style="width: 5rem;" data-value="0.375"></div>
								<div class="fuel-bar" style="width: 3rem;" data-value="0.25"></div>
								<div class="fuel-bar" style="width: 1rem;" data-value="0.125"></div>
								<span class="empty" style="color: red; font-weight: bold;">E</span>
							</div>
							<input type="hidden" name="sInvTanqueCombustibleSal" id="sInvTanqueCombustibleSal" value="<?php echo isset($r) ? $r->__GET('sInvTanqueCombustibleSal') : '0'; ?>">
						</div>
					</th>
				</tr>
			</tbody>
		</table>
	</div>
	<div style="margin-top: 10px;">
		<table class="tabla-orden">
			<thead>
				<tr>
					<th class="th-body-cabecera" colspan="4">DATOS DE SALIDA</th>
				</tr>
			</thead>
			<tbody>
				<tr>

					<th class="th-body th-label">FECHA DE SALIDA</th>
					<th class="th-body th-valor"> <?= date('Y-m-d', strtotime($r->__GET('dInvFechaSalida'))) ?></th>

					<th class="th-body th-label">HORA DE SALIDA</th>
					<th class="th-body th-valor"> <?= date('H:i:s', strtotime($r->__GET('dInvHoraSalida'))) ?></th>

				</tr>
				<tr>
					<th class="th-body th-label">FOTO DE SALIDA</th>
					<th style="text-align: center;" colspan="3">
						<?php if ($r->__GET('sInvFotoSalida')) { ?>
							<img class="imagenes-foto" src="<?= $r->__GET('sInvFotoSalida'); ?>" alt="Foto de salida">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
				</tr>
			</tbody>
		</table>
	</div>
	<div style="margin-top: 10px;">
		<table class="tabla-orden">
			<thead>
				<tr>
					<th class="th-body-cabecera" colspan="4">FIRMAS</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th class="th-body th-label">RECIBIDO POR</th>
					<th class="th-body th-valor"> <?= $r->__GET('sInvNombreReceptor') ?></th>

					<th class="th-body th-label">ENTREGADO POR</th>
					<th class="th-body th-valor"> <?= $r->__GET('sInvNombreEntregador') ?></th>

				</tr>
				<tr>
					<th class="th-body th-label">CELULAR RECEPTOR</th>
					<th class="th-body th-valor"> <?= $r->__GET('sInvCelularReceptor') ?></th>

					<th class="th-body th-label">CELULAR ENTREGADOR</th>
					<th class="th-body th-valor"> <?= $r->__GET('sInvCelularEntregador') ?></th>
				</tr>
				<tr>
					<th class="th-body th-label">FIRMA RECEPTOR</th>
					<th class="th-body th-valor" style="text-align: center;">
						<?php if ($r->__GET('sInvFirmaReceptor')) { ?>
							<img class="imagenes-foto" src="<?= $r->__GET('sInvFirmaReceptor') ?>" alt="Firma receptor">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
					<th class="th-body th-label">FIRMA ENTREGADOR</th>
					<th class="th-body th-valor" style="text-align: center;">
						<?php if ($r->__GET('sInvFirmaEntregador')) { ?>
							<img class="imagenes-foto" src="<?= $r->__GET('sInvFirmaEntregador') ?>" alt="Firma entegador">
						<?php } else { ?>
							<span style="color: black; font: 100; font-weight: 500; font-size: 12px;">Sin Imagen</span>
						<?php } ?>
					</th>
				</tr>
			</tbody>
		</table>
	</div>
</body>

<script src="view/librerias/plugins/jQuery/jquery-1.11.0.min.js"></script>

<script>

	function tanque(id, inputId) {
        const fuelBars = document.querySelectorAll(`#${id} .fuel-bar`);
        const fuelInput = document.getElementById(inputId);

        function updateFuel(value) {
            fuelBars.forEach(bar => {
                let barValue = parseFloat(bar.dataset.value);
                if (barValue <= value) {
                    bar.classList.add("active");
                    bar.classList.toggle("low", barValue <= 0.25); // Color rojo si es bajo
                } else {
                    bar.classList.remove("active", "low");
                }
            });

            fuelInput.value = value;
        }

        // Inicializar con el valor guardado
        let initialValue = parseFloat(fuelInput.value) || 0;
        updateFuel(initialValue);
    }

	$(document).ready(function() {
		tanque("fuelMeterIng", "sInvTanqueCombustibleIng");
          tanque("fuelMeterSal", "sInvTanqueCombustibleSal");

		const dato = 'Inventario';
		document.title = dato
		window.print();
	});
</script>

</html>